Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class OffDocumentExtensionAttachment

    java.lang.Object
      org.apache.fop.area.OffDocumentExtensionAttachment

All Implemented Interfaces:
  OffDocumentItem

    public class OffDocumentExtensionAttachment

extends java.lang.Object
implements OffDocumentItem

This class wraps ExtensionAttachments which cannot be transported inside the area tree but need to be handled in the AreaTreeHandler. These attachments are schedules for processing before the first page-sequence, i.e. at the start of the document.

Field Summary

Fields inherited from interface org.apache.fop.area.OffDocumentItem
`AFTER_PAGE, END_OF_DOC, IMMEDIATELY`

Constructor Summary
`OffDocumentExtensionAttachment(ExtensionAttachment attachment)` Main constructor

Method Summary
`ExtensionAttachment` | `getAttachment()`
`java.lang.String` | `getName()` Return a human-readable name for this ODI (for error messages, etc.)
`int` | `getWhenToProcess()` Get an indicator of when this item should be processed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OffDocumentExtensionAttachment

    public OffDocumentExtensionAttachment(ExtensionAttachment attachment)

  Main constructor

  Parameters:
    `attachment` - the extension attachment to wrap.

Method Detail

### getAttachment

    public ExtensionAttachment getAttachment()

  Returns:
    the extension attachment.

### getWhenToProcess

    public int getWhenToProcess()

  Get an indicator of when this item should be processed

  Specified by:
    `getWhenToProcess` in interface `OffDocumentItem`
  Returns:
    int constant (IMMEDIATELY, AFTER_PAGE, END_OF_DOC)

### getName

    public java.lang.String getName()

  Return a human-readable name for this ODI (for error messages, etc.)

  Specified by:
    `getName` in interface `OffDocumentItem`
  Returns:
    String name of ODI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.